Starmade | ship core can be destroyed completely
Closed, FinishedPublic

Description

Thought this was reported somewhere but can't find it.

I'm able to destroy the ship core just like any other block. This was done near my homebase with a strong cannon weapon. The ship core was the first thing hit and there were no blocks remaining behind it. Could also reproduce it with beams.

The ship core was freshly spawned so not sure if that matters too.

Details

Commits
Restricted Diffusion Commit
Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19595 (DEV)
Issue Type
Bug
Category
Engine
First occurrence (version)
0.19447 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce

shoot a small things core with a big cannon.
done a few times succesfull on the testserver

Tester information (Internal use only)

Problem is back client side
when overheating a ship you can kill the core in multiplayer. i do asume it is a visual client side problem only, because i cant reproduce it with the same test setup on singleplayer.

tried it with handheld weapons too, couldnt reproduce it with those in any case

lancake created this task.Sep 26 2015, 11:31 AM
lancake changed Reproducible from uncertain to Yes.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
AndyP claimed this task.Sep 29 2015, 11:48 AM
AndyP triaged this task as "Release Blocker" priority.
AndyP shifted this object from the S1 Public space to the S3 Starmade space.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP set Issue Type to Bug.
AndyP set Category to Engine.
AndyP set Affected Gamemode(s) to Single and Multi.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
AndyP edited Serverconfig (server.cfg). (Show Details)
AndyP edited Clientconfig (settings.cfg). (Show Details)
Restricted Application added a subscriber: AndyP. · View Herald TranscriptSep 29 2015, 11:49 AM

-Confirmed-

Yes noticed that too, also missiles seem to kill it.

Main problem:
You cannot access the ship controls after, nor in any way recover the core after it has been lost.

AndyP changed the task status from "Open" to "In Queue (Game)".Sep 29 2015, 11:50 AM

Just logged in to report this. (look someone read the existing threads before reporting, yay me!)

Re-confirmed. I do observe that if you start the client and re-launch, the core returns. I suspect that would also be true if you left and returned.

My efforts to re-destroy the core, leave and return are hampered by the fact that the re-materialized core appears to be invulnerable to further damage. No damage indicator appears when struck by AMC fire.

Newly spawned cores, are vulnerable to destruction... even though they do leave behind a position indicator and <overheating> counter.

I tried toggling myself into and out of creative build mode before dealing the damage in astronaut mode. My state of creativeness had no effect.

schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Oct 29 2015, 7:41 PM
schema added a commit: Restricted Diffusion Commit.Oct 29 2015, 7:52 PM
lancake closed this task as "Closed".Oct 30 2015, 11:50 PM

-QA Testing-

Tried out astronaut weapons, all 4 main ship mounted weapons, warheads. Didn't get destroyed (completely).

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptOct 30 2015, 11:50 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake set First occurrence (version) to 0.19447 (Dev).Oct 30 2015, 11:50 PM
lancake set Last tested (version) to 0.19457 (Dev).
SmilingDemon reopened this task as "Open".Mar 2 2016, 6:36 PM
SmilingDemon added a subscriber: SmilingDemon.

Problem is back client side
when overheating a ship you can kill the core in multiplayer. i do asume it is a visual client side problem only, because i cant reproduce it with the same test setup on singleplayer.

tried it with handheld weapons too, couldnt reproduce it with those in any case

Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptMar 2 2016, 6:36 PM
SmilingDemon edited Steps to reproduce. (Show Details)
SmilingDemon edited Tester information (Internal use only). (Show Details)
SmilingDemon changed the task status from "Open" to "In Queue (Game)".
SmilingDemon added a subscriber: AndyP.
Restricted Application edited projects, added Workflow Game Development; removed Workflow Issue Navigation. · View Herald TranscriptMar 2 2016, 6:39 PM

Can't reproduce in MP.

SmilingDemon changed the task status from "In Queue (Game)" to "Resolved".Mar 8 2016, 6:21 PM
SmilingDemon closed this task as "Closed".Mar 8 2016, 6:23 PM

cant reproduce any long eíther

fixed

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 8 2016, 6:23 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
SmilingDemon changed Last tested (version) from 0.19457 (Dev) to 0.19595 (DEV).Mar 8 2016, 7:18 PM

Add Comment